/*******************************************************************************
* File Name: IPC4.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_IPC4_ALIASES_H) /* Pins IPC4_ALIASES_H */
#define CY_PINS_IPC4_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define IPC4_0			(IPC4__0__PC)
#define IPC4_0_PS		(IPC4__0__PS)
#define IPC4_0_PC		(IPC4__0__PC)
#define IPC4_0_DR		(IPC4__0__DR)
#define IPC4_0_SHIFT	(IPC4__0__SHIFT)
#define IPC4_0_INTR	((uint16)((uint16)0x0003u << (IPC4__0__SHIFT*2u)))

#define IPC4_INTR_ALL	 ((uint16)(IPC4_0_INTR))


#endif /* End Pins IPC4_ALIASES_H */


/* [] END OF FILE */
