/*******************************************************************************
* File Name: IPC.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_IPC_ALIASES_H) /* Pins IPC_ALIASES_H */
#define CY_PINS_IPC_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define IPC_0			(IPC__0__PC)
#define IPC_0_PS		(IPC__0__PS)
#define IPC_0_PC		(IPC__0__PC)
#define IPC_0_DR		(IPC__0__DR)
#define IPC_0_SHIFT	(IPC__0__SHIFT)
#define IPC_0_INTR	((uint16)((uint16)0x0003u << (IPC__0__SHIFT*2u)))

#define IPC_1			(IPC__1__PC)
#define IPC_1_PS		(IPC__1__PS)
#define IPC_1_PC		(IPC__1__PC)
#define IPC_1_DR		(IPC__1__DR)
#define IPC_1_SHIFT	(IPC__1__SHIFT)
#define IPC_1_INTR	((uint16)((uint16)0x0003u << (IPC__1__SHIFT*2u)))

#define IPC_2			(IPC__2__PC)
#define IPC_2_PS		(IPC__2__PS)
#define IPC_2_PC		(IPC__2__PC)
#define IPC_2_DR		(IPC__2__DR)
#define IPC_2_SHIFT	(IPC__2__SHIFT)
#define IPC_2_INTR	((uint16)((uint16)0x0003u << (IPC__2__SHIFT*2u)))

#define IPC_3			(IPC__3__PC)
#define IPC_3_PS		(IPC__3__PS)
#define IPC_3_PC		(IPC__3__PC)
#define IPC_3_DR		(IPC__3__DR)
#define IPC_3_SHIFT	(IPC__3__SHIFT)
#define IPC_3_INTR	((uint16)((uint16)0x0003u << (IPC__3__SHIFT*2u)))

#define IPC_INTR_ALL	 ((uint16)(IPC_0_INTR| IPC_1_INTR| IPC_2_INTR| IPC_3_INTR))


#endif /* End Pins IPC_ALIASES_H */


/* [] END OF FILE */
