/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include <stdio.h>

#define ON_SIGNAL   0
#define OFF_SIGNAL  1

uint16 power[4] = {0};
volatile uint16 counter = 0;
char buf[100];
volatile unsigned char cc=0;    //Circular Counter

CY_ISR(Zero_Cross_Handler)
{   
    ZCD_ClearInterrupt(); //Best practice is to immediately clear interrupt flags on entering ISR
    ZCD_ISR_ClearPending();
    //Counter for debugging
    counter++;
    
    //Increment the circular counter
    //cc = cc % 4;   
    ++cc;
    if(cc > 100) {
        cc = 0;
    }
    
    //For LED
    if(power[0] == 0) {
        LED_Write(OFF_SIGNAL);
    }
    else {
        (cc <= power[0]) ? LED_Write(ON_SIGNAL) : LED_Write(OFF_SIGNAL);
    }
    
   
}

int main (void)
{
   CyGlobalIntEnable; 
    
   UART_Start(); 
   ZCD_ISR_StartEx(Zero_Cross_Handler);
  
   UART_UartPutString("\n\rBegin\n\r");
   while(1)
    {
        /*
        UART_UartPutString("\n\n\rSetting 25% power");
        power[0] = 25;
        CyDelay(3000);
        sprintf(buf,"\n\rcounter = %d",counter);
        UART_UartPutString(buf);
        counter = 0;
        
        UART_UartPutString("\n\n\rSetting 50% power");
        power[0] = 50;
        CyDelay(3000);
        sprintf(buf,"\n\rcounter = %d",counter);
        UART_UartPutString(buf);
        counter = 0;
        
        UART_UartPutString("\n\n\rSetting 75% power");
        power[0] = 75;
        CyDelay(3000);
        sprintf(buf,"\n\rcounter = %d",counter);
        UART_UartPutString(buf);
        counter = 0;
        */
        //UART_UartPutString("\n\n\rSetting 100% power");
        power[0] = 50;
        CyDelay(3000);
        sprintf(buf,"\n\rcounter = %d",counter);
        UART_UartPutString(buf);
        counter = 0;
    }
}


